---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: comparisons
spec:
  values:
    services:
      backend:
        envs:
          - name: APP_NAME
            value:
              _default: "comparisons"

          - name: APP_VERSION
            value:
              _default: "0.0.1"

          - name: LOGGER_LOG_LEVEL
            value:
              _default: "info"

          - name: DATABASE_NAME
            value:
              _default: "postgres"

          - name: ENABLE_SSL
            value:
              _default: "false"

          - name: POSTGRES_POOL_SIZE
            value:
              _default: "10"

          - name: HTTP_PORT
            value:
              _default: "8000"

          - name: DOCUMENTATIONS_INTERNAL_HOST
            value:
              _default: "http://documentations-service.documentations"

          - name: DOCUMENTATIONS_EXTERNAL_HOST
            value:
              _default: "https://lk.srx.wb.ru:30443/documentations"

          - name: DOCUMENTATION_FILESTREAM_URL
            value:
              _default: "http://backend-filestream-svc.documentations.svc.cluster.local/"

          - name: WORKFLOWS_HOST
            value:
              _default: "http://workflows-service.workflow"

          - name: WORKFLOWS_IMAGE_VERSION
            value:
              _default: "master"

          - name: WORKFLOWS_DJANGO_HOST
            value:
              _default: "https://lk.srx.wb.ru:30443"

          - name: WORKFLOWS_BIMV2_INTERNAL_HOST
            value:
              _default: "http://bim-backend-v2-service.bim-api"

          - name: WORKSPACES_HOST
            value:
              _default: "http://workspaces-service.workspaces"

          - name: EAV_HOST
            value:
              _default: "https://lk.srx.wb.ru:30443/eav"

          - name: LAST_MASTER_BIM
            value:
              _default: "36311"

          - name: LAST_SLAVE_1_BIM
            value:
              _default: "94015"

          - name: LAST_SLAVE_2_BIM
            value:
              _default: "135771"

          - name: ABAP_FIXED_CONC
            value:
              _default: "0"

          - name: WORKFLOWS_CONFIG_FILEPATH
            value:
              _default: "/etc/app/tasks-execution-config.json"
